**Opensilecs** is a framwork which can be used to configure and access PLC systems via FESA.

- Opensilecs can generate a FESA design file and related c++ code for easy FESA integration
- Opensilecs can generate a PLC data model which can be uploaded to the PLC
- Opensilecs Provides a GUI to access PLC data in a easy way

Supported PLC vendors: Siemens, Beckhoff(untested), Schneider(untested)

## Getting Started

If you plan to just use the silecs framework, please check the [Opensilecs Wiki](https://www-acc.gsi.de/wiki/Frontend/SILECS) for handson courses and all required documentation.

## Build & Install

If you want to touch the code of silecs itself, you can build it like this:

`./build_and_install.sh v1.2.3 /home/user/MyCustomDir`

Please open issues / merge requests in order to upstream your changes. ([GSI account required](https://www-oracle.gsi.de/pls/gsi/a_admin.acc_antrag))

## History

The GSI Version of Silecs is a fork of the CERN Silecs version. It was forked 2018 and has evolved into a slightly different framework. The CERN Version of Silecs is difficult to access. It only can be viewed from within a CERN machine(proxy) while having a valid CERN-account. Here a link to the [CERN Silecs Wiki](https://wikis.cern.ch/display/SIL/SILECs+Home).

## License

Licensed under the GNU GENERAL PUBLIC LICENSE Version 3. See the [LICENSE file][license] for details.

[license]: LICENSE
[GSI_Wiki]: https://www-acc.gsi.de/wiki/Frontend/SILECS
